System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

can be implemented to support custom loading of a designer and designer components. A designer loader is also responsible for writing changes to an open document back to the storage the loader used when loading the document after the method is called.

By default, the Visual Studio development environment creates its own variety of that can load basic designer projects. To create a custom designer loader, you must inherit from and implement the abstract class. You cannot directly instantiate , as it has no public constructor.

When is invoked, the designer loader loads the design document, displays the designer surface using the interface, and calls on the interface when done. The implementation is usually the same class that implements .

Provides a basic designer loader interface that can be used to implement a custom designer loader.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The that is passed to the parameter is typically the same object as the designer host. Through this reference to the loader host, the designer loader can reload the design document and indicate that it has finished loading the design document.

  Begins loading a designer.

  The loader host through which this loader loads components.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The designer host calls this method periodically to ensure that changes made to the document were saved by the designer loader. This method allows designer loaders to implement an asynchronous write scheme to improve performance. The default implementation of this method does nothing.

  Writes cached changes to the location that the designer was loaded from.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the loader is currently loading a document.